* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
	font-family: "Museo Sans";
	font-display: auto;
	font-weight: 300;
	src: url(../fonts/MuseoSans_300.otf) format('OpenType');
}

@font-face {
	font-family: "Museo Sans";
	font-display: auto;
	font-weight: 700;
	src: url(../fonts/MuseoSans_700.otf) format('OpenType');
}

@font-face {
	font-family: "Museo Sans Ultra-Bold";
	font-display: auto;
	font-weight: 400;
	src: url(../fonts/MuseoSans_900.otf) format('OpenType');
}

a {
    color: #6666FF;
    text-decoration: none;
}

body {
    font-family: "Museo Sans";    
    color:#37474F;
    background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
    padding: 20px;
    min-height: 100vh;
}

.header img {
  width: 80px;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    background: white;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 20px 60px rgba(0,0,0,0.3);
}

.header {
    text-align: center;
    padding: 20px 20px 30px;
    background: linear-gradient(to bottom, #f8f9ff, white);
}

.logo {
 /*   width: 80px;*/
 /*   height: 80px;*/
    margin: 0 auto 10px;
    position: relative;
}

h1 {
    font-size: 36px;
    color: #2d2d2d;
    font-weight: 700;
    margin-bottom: 10px;
}

.items-start {
    align-items: start;    
}

.items-end {
    text-align: end;
}

.currency-label {
    font-size: 20px; 
    font-weight: 400;    
}

.font-heavy {
    font-weight: 900;
}

.subtitle {
    color: #2d2d2d;
    font-size: 16px;
}

.content {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    gap: 40px;
    padding: 40px;
}

.section {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 12px;
    border: 1px solid #e9e9e9;
    padding: 15px;
    border-radius: 5px;
}

.form-group p{
    font-size: 14px;
    font-weight:300;
    color: #2d2d2d;
}

.form-group label {
    font-weight: 700;
    color: #2d2d2d;
    font-size: 14px;
}
.form-group-collapse-header label {
    font-weight: 700;
    color: #2d2d2d;
    font-size: 16px;
}

.tax-question-mobile{
    display: none;
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.button-group {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.btn {
    padding: 6px 8px;
    border: 1px solid #c4c4c4;
    background: white;
    border-radius: 20px;
    cursor: pointer;
    font-size: 13px;
    transition: all 0.3s;
    color: #4a5568;
    font-family: "Museo Sans";

    
}

.btn:hover {
    border-color: #6666FF;
    background: #f7fafc;
}

.btn.active {
    background: #6666FF;
    color: white;
    border-color: #6666FF;
    
}

.currency-group {
    display: flex;
    gap: 8px;
    align-items: center;
    height: 40px;
}

.currency-input {
    flex: 1;
    padding: 12px 16px;
    border: 1px solid #e2e8f0;
    font-size: 14px;
    background: white;
    text-align: end;
    max-width: 240px;
}
.shorter-input{
}

.currency-selector {
    display: flex;
    gap: 0;
    border: 1px solid #e2e8f0;
    border-radius: 8px;
    overflow: hidden;
    background-color: #cfcbcb;
}

.button-container {
  display: flex;
  gap: 10px;
  align-items: center;
}

.currency-btn {
  padding: 8px 16px;
  border: none;
  border-radius: 20px;
  font-size: 12px;
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
  background-color: #cfcbcb;
  color: #A5A5A5;
}

.currency-btn.active {
  background-color: #6366f1; /* indigo/purple színt */
  color: white;
  box-shadow: 0 4px 12px rgba(99, 102, 241, 0.4);
}

/*
.currency-btn:hover:not(.active) {
  background-color: #f0f0f0;
  color: #333;
}
*/

/*
input[type="number"] {
    padding: 12px;
    border: 2px solid #e2e8f0;
    border-radius: 8px;
    font-size: 14px;
    width: 100%;
}*/

input[type="range"] {
    width: 100%;
    height: 2px;
    border-radius: 3px;
    background: linear-gradient(to right, #6666FF 0%, #6666FF var(--value), #e2e8f0 var(--value), #e2e8f0 100%);
    outline: none;
    -webkit-appearance: none;
    margin-top: 20px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: white;
    cursor: pointer;
    border: 2px solid #6666FF;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
}

input[type="range"]::-moz-range-thumb {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: white;
    cursor: pointer;
    border: 1px solid #6666FF;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
}


.range-labels {
    display: flex;
    justify-content: space-between;
    font-size: 12px;
    color: #2d2d2d;
    margin-top: 8px;
    margin-left: 11px;
    letter-spacing: -1px;
}

.risk-options {
    display: flex;
    justify-content: space-between;
    gap: 15px;
}

.risk-card {
    position: relative;
    flex: 1;
    text-align: center;
    cursor: pointer;
    transition: all 0.3s;
    overflow: visible !important;
}

.risk-card:hover {
 
}

.risk-card.active {
    border-color: #667eea;
    background: #ffffff;
}

.risk-icon {
    font-size: 64px;
    margin-bottom: 10px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.risk-icon svg {
    width: 64px;
    height: 64px;
}

.risk-label {
    font-size: 14px;
    color: #4a5568;
  /*  font-weight: 600;*/
}







.chart-section {
    background: #f5f5f5;
    padding: 30px;
    border: 1px solid #e9e9e9;
    
    padding: 15px 15px 58px 15px;
    border-radius: 5px;
    height: 900px;
}

.chart-header {
    text-align: center;
    margin-bottom: 20px;
}

.chart-header .hozam-label {
    font-weight: 900;
    color: #2d2d2d;
    font-size: 14px;
}

.chart-header .hozam-sub-label {
    margin-top: 10px; 
    font-size: 14px;
    margin-bottom: 40px;
    color:#2d2d2d
}

.chart-header .capsule {
    display: flex; 
    justify-content: left; 
    margin-top: 10px;
}

.tax-block {
    font-size: 13px; 
    margin-top: 10px;
    text-align: left;
    color: #6d6d6d;
}

.tax-block a {
    color: #6666FF;
}

#chartContainer {
    position: relative;
    height: 300px;
    margin-bottom: 30px;
}

.results {
    text-align: center;
    color:#2d2d2d;
}

.result-row {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    
}


.result-label {
   text-align: start;
    font-weight: 300;
    font-size: 14px;
    margin-top: 10px;
}

.result-value {
    font-size: 44px;
    font-weight: 700;
    color: #2d2d2d;
    margin: 15px 0 8px 0;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 1px;
}

.result-subtitle {
    font-size: 14px;
    margin-bottom: 6px;
    font-weight: 300;
}

.investment-bar {
    height: 104px;
    border-radius: 8px;
    margin-bottom:40px
}
.investment-bar-mobile {
    border-radius: 8px;
}

.bar-segment {
    display: flex;
    align-items: center;
    color: white;
    font-size: 14px;
    font-weight:700;
    justify-content: space-around;
}

.bar-own {
    background: #000000;
    height: 50px;
    width: 55px;
    margin-top:10px;
}

.bar-saved {
      background: #000000;
      height: 29px;
}

.bar-profit {
     background: #000000;
     height: 50px;
     width: 55px;
     margin-top:10px;
}

.cta-button {
    background: #6666FF;
    color: white;
    padding: 10px 22px;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    text-decoration: none;
}

.cta-button:hover {
    background: #5568d3;
    transform: translateY(-2px);
    box-shadow: 0 4px 12px rgba(102, 126, 234, 0.4);
}

.footer-text {
    margin-top: 25px;
    font-size: 14px;
    color: #2d2d2d;
}

.radio-group {
    display: flex;
    gap: 20px;
    align-items: center;
}

.radio-option {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}



.boat{
    width: 80px;
}

.regular-investment-group {
    display: flex;
    gap: 15px;
    align-items: center;
}

.radio-group {
    display: flex;
    gap: 20px;
    align-items: center;
}

.spor{
    margin: 4px 0 7px 0;
    font-size: 14px;
    color: #2d2d2d;
    font-family: "Museo Sans";
    font-weight: 300;
}


.btn-group {
    display: flex;
    gap: 0;
    background: #e0e0e0;
    padding: 2px;
    border-radius: 50px;
    height: 77%;
    width: 39%;
    justify-content: space-evenly;
}

.btn-lean {
    pointer-events: auto;
    width: 50px;
    /*   height: 50px;*/
    border: none;
    background: transparent;
    color: #999;
    cursor: pointer;
    transition: all 0.3s ease;
    /*  font-size: 16px;
    font-weight: 600;*/
    border-radius: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 5;
    align-content: flex-start;
    flex-direction: row;
    font-family:'Museo Sans' ;
}

.btn-lean:hover {
  
}

.btn-lean.active {
    background: #6366f1;
    color: white;
    border-radius: 50%;
    box-shadow: 0 4px 12px rgba(99, 102, 241, 0.4);
    width: 50px;
    height: 50px;
    margin: 1px;
    margin-top: -12px;
}

.radio-option span {
    font-size: 14px;
    color: #7a7a7a;
    font-weight: lighter;
    min-width: 40px; /* Adjust based on your longest text */
    display: inline-block;
}

.radio-option input[type="radio"]:checked ~ span {
    /* stílusok */
    font-weight: bold;
}

input[type="radio"]:checked {
    accent-color: #65738a; /* A belső kör színe */
}

.btn-switch {
    padding: 6px 8px;
    border: 1px solid white;
    background: white;
    cursor: pointer;
    font-size: 12px;
    transition: all 0.3s;
    color: #4a5568;
}

.tax-question-mobile .btn-switch {
    font-size: 15px;
}

.btn-switch.left{
    border-radius: 25px 0 0 25px;
}

.btn-switch.right{
    border-radius:  0 25px 25px 0 ;
}

.btn-switch:hover {
}

.btn-switch.active {
    background: #6666FF;
    color: white;
    border-color: #6666FF;
}

.column{
    display: flex;
    flex-direction: column;
    justify-items: center;
}

.column-left{
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: flex-end;
}

.column-middle{
    display: flex;
    flex-direction: column;
    align-items: stretch;
    
}
.collapse-wrapper {
    display: contents; /* Acts as if it doesn't exist on desktop */
}

.collapse-header {
    display: none; /* Hidden on desktop */
}

.collapse-body {
    display: block;
    max-height: 3000px;

}
.collapse-body-inner {
    display: flex;
    flex-direction: column;
    gap: 25px;
}


.form-group-collapse-header {
    display: none; /* Hidden on desktop */
}

.form-group-collapse-body {
    display: block; /* Always visible on desktop */
}

.result-row-mobile{
    display: none;
}
.result-column-middle-mobile{
    display: none;
}
.mobile-column-middle{
    display:none;
}
@media (max-width: 1207px) {
.btn-group{
    width: auto;
}
.left-section{
    width:500px;
}
}
@media (max-width: 968px) {
    .left-section{
        width: auto;
    }
    .spor{
        margin-top: 15px;
        margin-bottom:10px;
    }

    .mobile-column-middle{
    display:flex;
    align-items: stretch;
}
.mobile-column-left{
    align-items: flex-start;
}
.mobile-column-right{
    align-items: flex-end;
}
.result-label-right{
    text-align: end;
}
    .btn-switch {
    padding: 12px 16px;
    border: 1px solid #c4c4c4;
    background: white;
    cursor: pointer;
    font-size: 13px;
    transition: all 0.3s;
    color: #4a5568;
    }


    .collapse-wrapper {
        display: block;
        border: 1px solid #e0e0e0;
        border-radius: 12px;
        margin-bottom: 20px;
        overflow: hidden;
        background: white;
        background-color: #E5E5E5;

    }

    .collapse-header {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 18px;
        cursor: pointer;
        transition: background 0.3s ease;
        user-select: none;
    }

   
    .collapse-header h3 {
        font-size: 16px;
        font-weight: 700;
        color: #6d6d6d;
        margin-right: 56px;
    }

     .collapse-icon {
        width: 28px;
        height: 28px;
        border-radius: 50%;
        background: white;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: transform 0.3s ease, background 0.3s ease;
        font-size: 14px;
        color: #666;
    }

    .form-group-collapse.active .collapse-icon {
        transform: rotate(180deg);
        background-color: white;
    } 
    .collapse-header-icon-picture{
        transition: transform 0.3s ease;
        transform: rotate(180deg);

    }
    .collapse-header-icon-picture.rotated{
        transform:rotate(360deg);
    }

    .collapse-body {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.4s ease;
    }

    .collapse-wrapper.active .collapse-body {
        max-height: 3000px; /* Large enough to fit all content */
    }

    .collapse-body-inner {
        display: flex;
        flex-direction: column;
        gap: 25px;
        padding: 0 18px 18px;
        min-height: 0;
        
    }
    .form-group{
        background-color: white;
    }
        .content {
        grid-template-columns: 1fr;
        padding: 10px;
        justify-items: center;
    }
    .section{
        max-width: 57%;
        min-width: 300px;
    }
    .currency-group{
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        height: 100px;
    }
    .btn-group{
        height:27px;
        width: 160px;
    }
    .boat{
        width: 115px;
    }
    .risk-options{
        gap:0px;
        justify-content: center;
        flex-direction: column;
    }
    .regular-investment-group {
     flex-direction: column;
    }
    .result-row-mobile{
        justify-content: center;
        align-items: baseline;
    }
    h1{
        font-size: 20px;
        color: #2d2d2d;
        font-weight: 700;
    }
 
    .chart-section{
        background: none;
        height: auto;
    }

    /* new stuff */ 
     .form-group-collapse {
        border: 1px solid #e0e0e0;
        border-radius: 12px;
        overflow: hidden;
        background: white;
    }

    .form-group-collapse-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 18px;
        cursor: pointer;
        background: white;
        transition: background 0.3s ease;
    }

    .form-group-collapse-body {
        max-height: 3000px;
        overflow: hidden;
        transition: max-height 0.4s ease;
    }

    .form-group-collapse .form-group-collapse-body {
        max-height: 0;
    }

    .form-group-collapse.active .form-group-collapse-body {
        max-height: 3000px;
    }
    .label-desktop{
        display: none;
    }

    .sub-header {
        margin-bottom: 5px;
    }

    .tax-question-mobile{
        display: flex;
    }
    .tax-question{
        display: none;
    }
    .result-row-mobile{
        display:flex;
        justify-content: space-between;
        margin-bottom: 38px;
    }
    .result-row{
        display: none;
    }
   .result-column-middle-mobile{
    max-height: 75px;
   }
   .result-column-middle-mobile{
    max-height: 75px;
    display: contents;
   }
   .result-column-middle-mobile .result-value{
    font-size: 41px;
   }
   .result-subtitle{
    font-size: 14px;
    margin-top: 14px;
    margin-bottom: 9px;
   }
   .mobile-column-right{
    justify-items: end;
   }
   .results{
    padding:0%;
   }
   .footer-text{
    font-size: 14px;
    font-weight: 300;
   }

   .cta-button {
    padding: 13px 25px;
    font-size: 17px;
}
    .info-bubble {
        min-width: 250px;
        max-width: 90vw;
    }
    .currency-input{
        flex:0;
    }
 
    .capsule{
        margin-top: 10px;
        display: flex;
    }
    .tax-question-mobile p {
    font-size: 14px;
    }   
}


.info-bubble {
    position: absolute;
    left: 50%;
    bottom: 40px;
    transform: translateX(-50%);
    background: white;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    padding: 10px;
    min-width: 170px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    display: none;
    z-index: 1000;
}

.info-bubble::before {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -10px;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #e0e0e0;
}

.info-bubble::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -8px;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid white;
}

.info-bubble p {
    margin: 0;
    color: #999;
    font-size: 14px;
    line-height: 1.6;
}

.info-container {
    position: relative;
    display: inline-block;
    
}

.payed-value{
    border-top: 1px solid black;    
    padding-top: 6px;
    font-size: 14px;
    font-weight: 700;
}
.payed-label{
    color: #2d2d2d;
    font-family: "Museo Sans";
    font-weight: 300;
    margin-top: 3px;
    font-size: 14px;
}

.editablebutton{
    min-width: 50px; /* minimális szélesség */
    max-width: 100%; /* ne lógjon ki a konténerből */
    width: 89px;
}
.editablebutton.active{
    background: white;
    border-color: #6666FF;
    color: white;
    outline: none;
    background-color: #6666FF;
}
.editablebutton::-webkit-input-placeholder {
    color: #4a5568;
    opacity: 1;
    font-weight: 500;
}

.editablebutton::-moz-placeholder {
    color: #4a5568;
    opacity: 1;
    font-weight: 500;
}

.editablebutton:-ms-input-placeholder {
    color: #4a5568;
    opacity: 1;
    font-weight: 500;
}
.editablebutton:hover{
    background: white;
    border-color: #6666FF;
    color: black;
    outline: none;
}


input[type="text"],
input[type="number"] {
    font-size: 13px;
    color: #4a5568;
    font-family: "Museo Sans";
    font-weight: 500;
}